# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "atypical-commit"
version = "0.2.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "(Non)-standard enforcing DX"
readme = "README.md"
categories = [
    "development-tools",
    "parsing",
    "template-engine",
    "text-processing",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/kekkon-nexus/atypical"

[features]
cli = [
    "clap/error-context",
    "clap/derive",
    "clap/help",
    "clap/suggestions",
    "clap/usage",
]
color = [
    "ariadne/auto-color",
    "clap/color",
]
default = [
    "std",
    "cli",
    "color",
]
std = [
    "anyhow/std",
    "chumsky/std",
    "chumsky/stacker",
    "clap/std",
    "serde/std",
]

[lib]
name = "atypical_commit"
path = "src/lib.rs"

[[bin]]
name = "commit-lint"
path = "src/main.rs"

[[test]]
name = "cli"
path = "tests/cli.rs"

[dependencies.anyhow]
version = "1.0"
default-features = false

[dependencies.ariadne]
version = "0.6"
default-features = false

[dependencies.atypical-config]
version = "0.2"

[dependencies.chumsky]
version = "0.13"
default-features = false

[dependencies.clap]
version = "4.6"
default-features = false

[dependencies.clap-stdin]
version = "0.8"
default-features = false

[dependencies.serde]
version = "1.0"
features = [
    "alloc",
    "derive",
]
default-features = false

[dev-dependencies.toml]
version = "1.1"
features = [
    "parse",
    "serde",
    "std",
]
default-features = false
